VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmFileTest 
   Caption         =   "PCC File Test Form"
   ClientHeight    =   3810
   ClientLeft      =   60
   ClientTop       =   360
   ClientWidth     =   5790
   Icon            =   "frmFileTest.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   3810
   ScaleWidth      =   5790
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog cdgOpen 
      Left            =   105
      Top             =   3255
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   330
      Left            =   4725
      TabIndex        =   13
      Top             =   3360
      Width           =   960
   End
   Begin VB.Frame Frame2 
      Caption         =   "Read from File"
      Height          =   2745
      Left            =   2940
      TabIndex        =   4
      Top             =   525
      Width           =   2745
      Begin VB.CommandButton cmdRead 
         Caption         =   "&Read"
         Height          =   330
         Left            =   1680
         TabIndex        =   12
         Top             =   2310
         Width           =   960
      End
      Begin VB.ListBox lstText 
         Appearance      =   0  'Flat
         Height          =   1200
         ItemData        =   "frmFileTest.frx":08CA
         Left            =   105
         List            =   "frmFileTest.frx":08D1
         TabIndex        =   5
         Top             =   630
         Width           =   2535
      End
      Begin VB.Label lblTotalLine 
         Appearance      =   0  'Flat
         BackColor       =   &H80000005&
         BorderStyle     =   1  'Fixed Single
         ForeColor       =   &H80000008&
         Height          =   330
         Left            =   1050
         TabIndex        =   15
         Top             =   1890
         Width           =   1590
      End
      Begin VB.Label lblLabels 
         Appearance      =   0  'Flat
         BackColor       =   &H00F8749B&
         BorderStyle     =   1  'Fixed Single
         Caption         =   " Total Line"
         ForeColor       =   &H80000008&
         Height          =   330
         Index           =   3
         Left            =   105
         TabIndex        =   14
         Top             =   1890
         Width           =   960
      End
      Begin VB.Label lblLabels 
         Appearance      =   0  'Flat
         BackColor       =   &H00F8749B&
         BorderStyle     =   1  'Fixed Single
         Caption         =   " File Text"
         ForeColor       =   &H80000008&
         Height          =   330
         Index           =   1
         Left            =   105
         TabIndex        =   6
         Top             =   315
         Width           =   960
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Write to File"
      Height          =   2745
      Left            =   105
      TabIndex        =   3
      Top             =   525
      Width           =   2745
      Begin VB.CommandButton cmdWrite 
         Caption         =   "&Write"
         Height          =   330
         Left            =   1680
         TabIndex        =   11
         Top             =   2310
         Width           =   960
      End
      Begin VB.OptionButton optNew 
         Caption         =   "Put Text to New File"
         Height          =   330
         Left            =   105
         TabIndex        =   10
         Top             =   1365
         Width           =   2535
      End
      Begin VB.OptionButton optAdd 
         Caption         =   "Add Text to Existing File"
         Height          =   330
         Left            =   105
         TabIndex        =   9
         Top             =   1050
         Value           =   -1  'True
         Width           =   2535
      End
      Begin VB.TextBox txtInput 
         Appearance      =   0  'Flat
         Height          =   330
         Left            =   105
         TabIndex        =   8
         Top             =   630
         Width           =   2535
      End
      Begin VB.Label lblLabels 
         Appearance      =   0  'Flat
         BackColor       =   &H00F8749B&
         BorderStyle     =   1  'Fixed Single
         Caption         =   " Input Text"
         ForeColor       =   &H80000008&
         Height          =   330
         Index           =   2
         Left            =   105
         TabIndex        =   7
         Top             =   315
         Width           =   960
      End
   End
   Begin VB.CommandButton cmdFind 
      Caption         =   "&Find"
      Height          =   330
      Left            =   4725
      TabIndex        =   2
      Top             =   105
      Width           =   960
   End
   Begin VB.TextBox txtFName 
      Appearance      =   0  'Flat
      Height          =   330
      Left            =   1050
      TabIndex        =   1
      Top             =   105
      Width           =   3585
   End
   Begin VB.Label lblLabels 
      Appearance      =   0  'Flat
      BackColor       =   &H00F8749B&
      BorderStyle     =   1  'Fixed Single
      Caption         =   " File Name"
      ForeColor       =   &H80000008&
      Height          =   330
      Index           =   0
      Left            =   105
      TabIndex        =   0
      Top             =   105
      Width           =   960
   End
End
Attribute VB_Name = "frmFileTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim File As PCCFile

Private Sub cmdExit_Click()
  Unload Me
End Sub

Private Sub cmdFind_Click()
  With cdgOpen
    .FileName = ""
    .ShowOpen
    txtFName = .FileName
  End With

End Sub

Private Sub cmdRead_Click()
  On Error GoTo ErrHandle
  Dim I As Integer
  File.ReadFromFile (txtFName)
  lstText.Clear
  For I = 1 To File.TotalLine
    lstText.AddItem File.FileText(I)
  Next I
  lblTotalLine.Caption = File.TotalLine
  File.FileName = ""
  Exit Sub
ErrHandle:
  MsgBox Err.Number & " : " & Err.Description
End Sub

Private Sub cmdWrite_Click()
  On Error GoTo ErrHandle
  If txtInput.Text = "" Then
    MsgBox "No Text to Write", vbCritical, "Input Error"
  End If
  File.WriteToFile txtInput, txtFName
  File.FileName = ""
  Exit Sub
ErrHandle:
  MsgBox Err.Number & " : " & Err.Description
End Sub

Private Sub Form_Load()
  Set File = New PCCFile
  lstText.Clear
End Sub

Private Sub optAdd_Click()
  File.WriteMode = AddToFile
End Sub

Private Sub optNew_Click()
  File.WriteMode = NewFile
End Sub
